mail::SMTPService Class Reference

`#include <SMTPService.h>`

Inheritance diagram for mail::SMTPService:
[legend]
Collaboration diagram for mail::SMTPService:
[legend]

## Public Member Functions

| SMTPService (core::EPoll &epoll, std::string hostName, std::string mailPath, core::IPAddress ipAddress)

## Public Attributes

MailFileSystem | mailFileSystem
std::string | hostName

## Constructor & Destructor Documentation

## SMTPService()

mail::SMTPService::SMTPService | ( | core::EPoll & | epoll,
|  | std::string | hostName,
|  | std::string | mailPath,
|  | core::IPAddress | ipAddress
| ) |  |

inline

## Member Data Documentation

## hostName

std::string mail::SMTPService::hostName

## mailFileSystem

MailFileSystem mail::SMTPService::mailFileSystem

The documentation for this class was generated from the following file:

- /home/bradarant/barant/BMAMail/SMTPService.h